Bug 192120 - Web Inspector: Elements: ⌘-A should select all visible nodes
Summary: Web Inspector: Elements: ⌘-A should select all visible nodes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Matt Baker
URL:
Keywords: InRadar
Depends on: 192059
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-28 15:39 PST by Devin Rousso
Modified: 2018-12-04 10:14 PST (History)
4 users (show)

See Also:


Attachments
Patch (7.53 KB, patch)
2018-12-03 19:49 PST, Matt Baker
no flags Details | Formatted Diff | Diff
Patch for landing (7.64 KB, patch)
2018-12-04 09:07 PST, Matt Baker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2018-11-28 15:39:54 PST
.
Comment 1 Radar WebKit Bug Importer 2018-11-29 09:34:03 PST
<rdar://problem/46344435>
Comment 2 Matt Baker 2018-12-03 19:49:10 PST
Created attachment 356450 [details]
Patch
Comment 3 Devin Rousso 2018-12-03 21:55:30 PST
Comment on attachment 356450 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356450&action=review

r=me

> Source/WebInspectorUI/ChangeLog:10
> +        (WI.TreeOutline.prototype._treeKeyDown):

You should add a comment explaining how by removing the early-return, you allow `WI.SelectionController` to handle the ⌘-A and select all items.
Comment 4 Matt Baker 2018-12-04 09:07:15 PST
Created attachment 356502 [details]
Patch for landing
Comment 5 WebKit Commit Bot 2018-12-04 09:58:04 PST
The commit-queue encountered the following flaky tests while processing attachment 356502 [details]:

http/wpt/css/css-animations/start-animation-001.html bug 190903 (authors: dino@apple.com, fred.wang@free.fr, and graouts@apple.com)
imported/w3c/web-platform-tests/xhr/event-error-order.sub.html bug 192363 (author: youennf@gmail.com)
webgl/1.0.2/conformance/more/conformance/quickCheckAPI-C.html bug 192364 (author: roger_fong@apple.com)
webgl/2.0.0/conformance/more/functions/copyTexSubImage2DBadArgs.html bug 192365 (author: justin_fan@apple.com)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2018-12-04 09:58:13 PST
The commit-queue encountered the following flaky tests while processing attachment 356502 [details]:

workers/bomb.html bug 192050 (author: fpizlo@apple.com)
The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2018-12-04 10:14:37 PST
Comment on attachment 356502 [details]
Patch for landing

Clearing flags on attachment: 356502

Committed r238858: <https://trac.webkit.org/changeset/238858>
Comment 8 WebKit Commit Bot 2018-12-04 10:14:38 PST
All reviewed patches have been landed.  Closing bug.